Path.PathElement (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types, class: Path, class: PathElement

Package org.apache.tools.ant.types

# Class Path.PathElement

java.lang.Object
org.apache.tools.ant.types.Path.PathElement

All Implemented Interfaces:
  `Iterable<Resource>`, `ResourceCollection`

Enclosing class:
  `Path`

public class Path.PathElement extends Object implements ResourceCollection
Helper class, holds the nested `<pathelement>` values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getParts()`
  Return the converted pathelements.
  `boolean`
  `isFilesystemOnly()`
  Check if this resource is only for filesystems.
  `Iterator<Resource>`
  `iterator()`
  Create an iterator.
  `void`
  `setLocation(File loc)`
  Set the location.
  `void`
  `setPath(String path)`
  Set the path.
  `int`
  `size()`
  Get the number of resources.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

  `isEmpty, stream`

- ## Constructor Details

  - ### PathElement

    public PathElement()

- ## Method Details

  - ### setLocation

    public void setLocation(File loc)
    Set the location.
    Parameters:
      `loc` - a `File` value

  - ### setPath

    public void setPath(String path)
    Set the path.
    Parameters:
      `path` - a `String` value

  - ### getParts

    public String[] getParts()
    Return the converted pathelements.
    Returns:
      a `String[]` value

  - ### iterator

    public Iterator<Resource> iterator()
    Create an iterator.
    Specified by:
      `iterator` in interface `Iterable<Resource>`
    Returns:
      an iterator.

  - ### isFilesystemOnly

    public boolean isFilesystemOnly()
    Check if this resource is only for filesystems.
    Specified by:
      `isFilesystemOnly` in interface `ResourceCollection`
    Returns:
      true.

  - ### size

    public int size()
    Get the number of resources.
    Specified by:
      `size` in interface `ResourceCollection`
    Returns:
      the number of parts.